<ng-template #content><ng-content></ng-content></ng-template>

<ng-container *ngIf="href; else externalLink">
  <a [href]="href">
    <ng-container *ngTemplateOutlet="content"></ng-container>
  </a>
</ng-container>

<ng-template #externalLink>
  <a [routerLink]="[routerLink]">
    <ng-container *ngTemplateOutlet="content"></ng-container>
  </a>
</ng-template>
